aboutsummaryrefslogtreecommitdiff
path: root/mkrootfs.sh
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2019-12-10 03:11:43 +0300
committerCem Keylan <cem@ckyln.com>2019-12-10 03:11:43 +0300
commit92ac5880e134362d7663dd50d22fa13cc87bc672 (patch)
tree628f99f5b76fd36b2a77d5efaf160cd5df2b185e /mkrootfs.sh
parent74b2e6a26adfbd00ca05963fa3adba93d19fc51b (diff)
downloadmkrootfs-92ac5880e134362d7663dd50d22fa13cc87bc672.tar.gz
generate tarball
Diffstat (limited to 'mkrootfs.sh')
-rwxr-xr-xmkrootfs.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/mkrootfs.sh b/mkrootfs.sh
index 828f38d..fefb2b3 100755
--- a/mkrootfs.sh
+++ b/mkrootfs.sh
@@ -83,4 +83,8 @@ msg "Package build complete, starting package installation"
kiss i $PKGS
msg "Installation Complete, starting custombuild procedure if there is one"
postinstall
+msg "Generating rootfs to $BASEDIR"
+cd "$MNTDIR" || die "Could not change directory to $MNTDIR"
+tar -cpvJf "$BASEDIR/carbs-rootfs-$(date +%Y%m%d).tar.xz" .
+cd "$BASEDIR" || die "Could not change directory to $BASEDIR"
msg "Done!"